Loading...
Searching...
No Matches
lomiri.indicators.DisplayIndicatorPage Class Reference
Inheritance diagram for lomiri.indicators.DisplayIndicatorPage:
[legend]
Collaboration diagram for lomiri.indicators.DisplayIndicatorPage:
[legend]

## Public Member Functions

| validate_dbus_object (cls, path, state)
| lock_rotation (self)
| unlock_rotation (self)

## Protected Member Functions

| _get_switcher (self)

## Detailed Description

    Autopilot helper for the display indicator page.

Definition at line 105 of file __init__.py.

## Member Function Documentation

## _get_switcher()

lomiri.indicators.DisplayIndicatorPage._get_switcher | ( |  | self | ) |

protected

Definition at line 123 of file __init__.py.

def _get_switcher(self):
return self.select_single(
lomiriuitoolkit.CheckBox, objectName='switcher')

## lock_rotation()

lomiri.indicators.DisplayIndicatorPage.lock_rotation | ( |  | self | ) |

    Toggle the rotation lock indicator to locked.

Definition at line 117 of file __init__.py.

def lock_rotation(self):
"""Toggle the rotation lock indicator to locked."""
switcher = self._get_switcher()
switcher.check()
switcher.checked.wait_for(True)

## unlock_rotation()

lomiri.indicators.DisplayIndicatorPage.unlock_rotation | ( |  | self | ) |

    Toggle the rotation lock indicator to unlocked.

Definition at line 127 of file __init__.py.

def unlock_rotation(self):
"""Toggle the rotation lock indicator to unlocked."""
switcher = self._get_switcher()
switcher.uncheck()
switcher.checked.wait_for(False)

## validate_dbus_object()

lomiri.indicators.DisplayIndicatorPage.validate_dbus_object | ( |  | cls,
|  |  | path,
|  |  | state )

Reimplemented from lomiri.indicators.IndicatorPage.

Definition at line 110 of file __init__.py.

def validate_dbus_object(cls, path, state):
name = introspection.get_classname_from_path(path)
if name == b'IndicatorPage':
if state['objectName'][1] == 'indicator-rotation-lock-page':
return True
return False

The documentation for this class was generated from the following file:

- tests/autopilot/lomiri/indicators/__init__.py